Skip to main content
`Ctrl`+`K`

# KSPBCGSLSetEll

Sets the number of search directions to use in the `KSPBCGSL` Krylov solver

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPBCGSLSetEll(KSP ksp, PetscInt ell)

Logically Collective

## Input Parameters

- ksp - iterative context, `KSP`, of type `KSPBCGSL`

- ell - number of search directions to use

## Options Database Key

- -ksp_bcgsl_ell ell - Number of Krylov search directions

## Notes

For large `ell` it is common for the polynomial update problem to become singular (due to happy breakdown for smallish test problems, but also for larger problems). Consequently, by default, the system is solved by using the pseudoinverse, which allows the iteration to complete successfully. See `KSPBCGSLSetUsePseudoinverse()` to switch to a conventional solve.

## See Also

KSP: Linear System Solvers, `KSPBCGSLSetUsePseudoinverse()`, `KSP`, `KSPBCGSL`, `KSPBCGSLSetPol()`, `KSPBCGSLSetXRes()`

## Level

intermediate

## Location

src/ksp/ksp/impls/bcgsl/bcgsl.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages